package cn.cecep.talroad.vo.query;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import cn.cecep.talroad.domain.OdsMeshingShStationHourI;
import cn.cecep.talroad.common.core.domain.query.PageQuery;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import java.util.Date;


/**
 * ods层网格化市控站点小时增量对象 ods_meshing_sh_station_hour_i
 *
 * @author szhpt
 * @date 2023-06-10*/
@ApiModel(value = "ods层网格化市控站点小时增量")
@EqualsAndHashCode(callSuper = false)
@Data
public class OdsMeshingShStationHourIQuery extends PageQuery
{

    @ApiModelProperty(value = "id")
    private String id;
    @ApiModelProperty(value = "站点id")
    private String stationId;
    @ApiModelProperty(value = "站点编码")
    private String stationCode;
    @ApiModelProperty(value = "数据采集时间")
    private String receiveTime;
    @ApiModelProperty(value = "SO2浓度实况值")
    private String so2Live;
    @ApiModelProperty(value = "NO2浓度实况值")
    private String no2Live;
    @ApiModelProperty(value = "CO浓度实况值")
    private String coLive;
    @ApiModelProperty(value = "O3浓度实况值")
    private String o3Live;
    @ApiModelProperty(value = "PM10浓度实况值")
    private String pm10Live;
    @ApiModelProperty(value = "PM2.5浓度实况值")
    private String pm25Live;
    @ApiModelProperty(value = "温度")
    private String temperature;
    @ApiModelProperty(value = "湿度")
    private String humidity;
    @ApiModelProperty(value = "大气压")
    private String apress;
    @ApiModelProperty(value = "风向")
    private String wdirect;
    @ApiModelProperty(value = "风速")
    private String wspeed;
    @ApiModelProperty(value = "噪声")
    private String noise;
    @ApiModelProperty(value = "MAXID值")
    private String maxId;
    @ApiModelProperty(value = "无用")
    private String flag;
    @ApiModelProperty(value = "PM10标况值")
    private String pm10Bk;
    @ApiModelProperty(value = "PM25标况值")
    private String pm25Bk;
    @ApiModelProperty(value = "SO2标况值")
    private String so2Bk;
    @ApiModelProperty(value = "NO2标况值")
    private String no2Bk;
    @ApiModelProperty(value = "CO标况值")
    private String coBk;
    @ApiModelProperty(value = "O3标况值")
    private String o3Bk;
    @ApiModelProperty(value = "$column.columnComment")
    private String pmi;
    @ApiModelProperty(value = "PMI标况值")
    private String pmiBk;
    @ApiModelProperty(value = "TSP实况值")
    private String tspLive;
    @ApiModelProperty(value = "TSP标况值")
    private String tspBk;
    @ApiModelProperty(value = "NO实况值")
    private String noLive;
    @ApiModelProperty(value = "TVOC值")
    private String tvoc;
    @ApiModelProperty(value = "co2浓度值")
    private String co2;
    @ApiModelProperty(value = "氮氧化物浓度值")
    private String nox;
    @ApiModelProperty(value = "数据创建时间")
    private String createTime;
    @ApiModelProperty(value = "数据更新时间")
    private String updateTime;
    /**
     *
     * @Title: getQueryWrapper
     * @Description: 查询参数组装
     * @param: @return
     * @return: QueryWrapper<BasIndustry>
     * @throws
     */
    public static QueryWrapper<OdsMeshingShStationHourI> createLambdaQueryWrapper(OdsMeshingShStationHourIQuery query) {
        QueryWrapper<OdsMeshingShStationHourI> wrapper = new QueryWrapper<>();
        wrapper.eq(ObjectUtil.isNotNull(query.getId()), "id", query.getId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStationId()), "station_id", query.getStationId());
        wrapper.eq(ObjectUtil.isNotNull(query.getStationCode()), "station_code", query.getStationCode());
        wrapper.eq(ObjectUtil.isNotNull(query.getReceiveTime()), "receive_time", query.getReceiveTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Live()), "so2_live", query.getSo2Live());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2Live()), "no2_live", query.getNo2Live());
        wrapper.eq(ObjectUtil.isNotNull(query.getCoLive()), "co_live", query.getCoLive());
        wrapper.eq(ObjectUtil.isNotNull(query.getO3Live()), "o3_live", query.getO3Live());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm10Live()), "pm10_live", query.getPm10Live());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm25Live()), "pm25_live", query.getPm25Live());
        wrapper.eq(ObjectUtil.isNotNull(query.getTemperature()), "temperature", query.getTemperature());
        wrapper.eq(ObjectUtil.isNotNull(query.getHumidity()), "humidity", query.getHumidity());
        wrapper.eq(ObjectUtil.isNotNull(query.getApress()), "apress", query.getApress());
        wrapper.eq(ObjectUtil.isNotNull(query.getWdirect()), "wdirect", query.getWdirect());
        wrapper.eq(ObjectUtil.isNotNull(query.getWspeed()), "wspeed", query.getWspeed());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoise()), "noise", query.getNoise());
        wrapper.eq(ObjectUtil.isNotNull(query.getMaxId()), "max_id", query.getMaxId());
        wrapper.eq(ObjectUtil.isNotNull(query.getFlag()), "flag", query.getFlag());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm10Bk()), "pm10_bk", query.getPm10Bk());
        wrapper.eq(ObjectUtil.isNotNull(query.getPm25Bk()), "pm25_bk", query.getPm25Bk());
        wrapper.eq(ObjectUtil.isNotNull(query.getSo2Bk()), "so2_bk", query.getSo2Bk());
        wrapper.eq(ObjectUtil.isNotNull(query.getNo2Bk()), "no2_bk", query.getNo2Bk());
        wrapper.eq(ObjectUtil.isNotNull(query.getCoBk()), "co_bk", query.getCoBk());
        wrapper.eq(ObjectUtil.isNotNull(query.getO3Bk()), "o3_bk", query.getO3Bk());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmi()), "pmi", query.getPmi());
        wrapper.eq(ObjectUtil.isNotNull(query.getPmiBk()), "pmi_bk", query.getPmiBk());
        wrapper.eq(ObjectUtil.isNotNull(query.getTspLive()), "tsp_live", query.getTspLive());
        wrapper.eq(ObjectUtil.isNotNull(query.getTspBk()), "tsp_bk", query.getTspBk());
        wrapper.eq(ObjectUtil.isNotNull(query.getNoLive()), "no_live", query.getNoLive());
        wrapper.eq(ObjectUtil.isNotNull(query.getTvoc()), "tvoc", query.getTvoc());
        wrapper.eq(ObjectUtil.isNotNull(query.getCo2()), "co2", query.getCo2());
        wrapper.eq(ObjectUtil.isNotNull(query.getNox()), "nox", query.getNox());
        wrapper.eq(ObjectUtil.isNotNull(query.getCreateTime()), "create_time", query.getCreateTime());
        wrapper.eq(ObjectUtil.isNotNull(query.getUpdateTime()), "update_time", query.getUpdateTime());
        return wrapper;
        }
}
